<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Particles/Tests/PMTCreationAndCleanup.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dbd/_p_m_t_creation_and_cleanup_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PMTCreationAndCleanup.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:de/d19/class_ownership_test_dummy_class"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a></td></tr>
<tr class="separator:de/d19/class_ownership_test_dummy_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa0e0b3585c4fc67c5ed37fc6990ece35"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa0e0b3585c4fc67c5ed37fc6990ece35">PMTCreationAndCleanup</a> ()</td></tr>
<tr class="separator:aa0e0b3585c4fc67c5ed37fc6990ece35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af55aa8f6e0725b87267afc1e260d8261"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af55aa8f6e0725b87267afc1e260d8261">TestInvalidSize</a> ()</td></tr>
<tr class="separator:af55aa8f6e0725b87267afc1e260d8261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3785f0a7cda55233227714967d76c325"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a3785f0a7cda55233227714967d76c325">TestCCSB</a> ()</td></tr>
<tr class="separator:a3785f0a7cda55233227714967d76c325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1f66cd7fd5d9c4d4de4ba64ef9eec55"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#aa1f66cd7fd5d9c4d4de4ba64ef9eec55">TestEvents</a> ()</td></tr>
<tr class="separator:aa1f66cd7fd5d9c4d4de4ba64ef9eec55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8878c6aeb911b21eaca3927fa45486a9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a8878c6aeb911b21eaca3927fa45486a9">TestOwnership</a> ()</td></tr>
<tr class="separator:a8878c6aeb911b21eaca3927fa45486a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af80ec12ed8337e6bf1052d1677451069"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af80ec12ed8337e6bf1052d1677451069">CheckTestEvents</a> ()</td></tr>
<tr class="separator:af80ec12ed8337e6bf1052d1677451069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a174bc56a2597810b423dc54a96549fbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a174bc56a2597810b423dc54a96549fbd">PassCheckEvents</a> (<a class="el" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm)</td></tr>
<tr class="separator:a174bc56a2597810b423dc54a96549fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67e5b9aa9242556554146e0994c8447b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a67e5b9aa9242556554146e0994c8447b">TestCreationSmallBlocking</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> size, <a class="el" href="../../d9/db9/classbool.html">bool</a> enableAsserts=true)</td></tr>
<tr class="separator:a67e5b9aa9242556554146e0994c8447b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a192c1b903db9524f333d139f80748230"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a192c1b903db9524f333d139f80748230">TestCleanup</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> f, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> p1=0)</td></tr>
<tr class="separator:a192c1b903db9524f333d139f80748230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447893a199eb304c3b2cffa1d1f4fab5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a447893a199eb304c3b2cffa1d1f4fab5">TestMultiCreation</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> instances)</td></tr>
<tr class="separator:a447893a199eb304c3b2cffa1d1f4fab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a76ce94c233dfe76446bfcfd91c47ae01"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#a76ce94c233dfe76446bfcfd91c47ae01">m_EventTestManagerID</a></td></tr>
<tr class="separator:a76ce94c233dfe76446bfcfd91c47ae01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad23c817b024d123ace5d2ec64c48321c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#ad23c817b024d123ace5d2ec64c48321c">m_bTestEventsPassed</a> = false</td></tr>
<tr class="separator:ad23c817b024d123ace5d2ec64c48321c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77d9a514858c0ee0832e8955ee301f0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#af77d9a514858c0ee0832e8955ee301f0">m_OwnershipTestManagerID</a></td></tr>
<tr class="separator:af77d9a514858c0ee0832e8955ee301f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="de/d19/class_ownership_test_dummy_class" id="de/d19/class_ownership_test_dummy_class"></a>
<h2 class="memtitle"><span class="permalink"><a href="#de/d19/class_ownership_test_dummy_class">&#9670;&#160;</a></span>OwnershipTestDummyClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class OwnershipTestDummyClass</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>
</div>
</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="af80ec12ed8337e6bf1052d1677451069" name="af80ec12ed8337e6bf1052d1677451069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af80ec12ed8337e6bf1052d1677451069">&#9670;&#160;</a></span>CheckTestEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> CheckTestEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00094">94</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a174bc56a2597810b423dc54a96549fbd" name="a174bc56a2597810b423dc54a96549fbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a174bc56a2597810b423dc54a96549fbd">&#9670;&#160;</a></span>PassCheckEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PassCheckEvents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>&#160;</td>
          <td class="paramname"><em>pm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00122">122</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="aa0e0b3585c4fc67c5ed37fc6990ece35" name="aa0e0b3585c4fc67c5ed37fc6990ece35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0e0b3585c4fc67c5ed37fc6990ece35">&#9670;&#160;</a></span>PMTCreationAndCleanup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PMTCreationAndCleanup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00016">16</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a3785f0a7cda55233227714967d76c325" name="a3785f0a7cda55233227714967d76c325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3785f0a7cda55233227714967d76c325">&#9670;&#160;</a></span>TestCCSB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestCCSB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00041">41</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a192c1b903db9524f333d139f80748230" name="a192c1b903db9524f333d139f80748230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a192c1b903db9524f333d139f80748230">&#9670;&#160;</a></span>TestCleanup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestCleanup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>p1</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00149">149</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a67e5b9aa9242556554146e0994c8447b" name="a67e5b9aa9242556554146e0994c8447b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67e5b9aa9242556554146e0994c8447b">&#9670;&#160;</a></span>TestCreationSmallBlocking()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestCreationSmallBlocking </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enableAsserts</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00131">131</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="aa1f66cd7fd5d9c4d4de4ba64ef9eec55" name="aa1f66cd7fd5d9c4d4de4ba64ef9eec55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1f66cd7fd5d9c4d4de4ba64ef9eec55">&#9670;&#160;</a></span>TestEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00048">48</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="af55aa8f6e0725b87267afc1e260d8261" name="af55aa8f6e0725b87267afc1e260d8261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af55aa8f6e0725b87267afc1e260d8261">&#9670;&#160;</a></span>TestInvalidSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestInvalidSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00028">28</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a447893a199eb304c3b2cffa1d1f4fab5" name="a447893a199eb304c3b2cffa1d1f4fab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447893a199eb304c3b2cffa1d1f4fab5">&#9670;&#160;</a></span>TestMultiCreation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestMultiCreation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>instances</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00171">171</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a8878c6aeb911b21eaca3927fa45486a9" name="a8878c6aeb911b21eaca3927fa45486a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8878c6aeb911b21eaca3927fa45486a9">&#9670;&#160;</a></span>TestOwnership()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> TestOwnership </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00067">67</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad23c817b024d123ace5d2ec64c48321c" name="ad23c817b024d123ace5d2ec64c48321c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad23c817b024d123ace5d2ec64c48321c">&#9670;&#160;</a></span>m_bTestEventsPassed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_bTestEventsPassed = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00009">9</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
<a id="a76ce94c233dfe76446bfcfd91c47ae01" name="a76ce94c233dfe76446bfcfd91c47ae01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ce94c233dfe76446bfcfd91c47ae01">&#9670;&#160;</a></span>m_EventTestManagerID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html#de/d19/class_ownership_test_dummy_class">OwnershipTestDummyClass</a> m_EventTestManagerID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af77d9a514858c0ee0832e8955ee301f0" name="af77d9a514858c0ee0832e8955ee301f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af77d9a514858c0ee0832e8955ee301f0">&#9670;&#160;</a></span>m_OwnershipTestManagerID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_OwnershipTestManagerID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html#l00011">11</a> of file <a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c_source.html">PMTCreationAndCleanup.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_f2e6f91e0f5fdd26aac18974f712661e.html">Particles</a></li><li class="navelem"><a class="el" href="../../dir_d1610146b64c5303e2872e224bdc20ca.html">Tests</a></li><li class="navelem"><a class="el" href="../../de/dbd/_p_m_t_creation_and_cleanup_8c.html">PMTCreationAndCleanup.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
